#========================================================================================
# package      DE_EPAGES::GoogleSmartShopping::API::Attributes::Shop
# state        public
# base         DE_EPAGES::Object::API::Attributes::DefaultAttribute
# description  Implements the GoogleSmartShoppingConfig shop attribute.
#========================================================================================
package DE_EPAGES::GoogleSmartShopping::API::Attributes::Shop;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use strict;

#========================================================================================
# function     getAttributes
# state        private
#----------------------------------------------------------------------------------------
# syntax       $hValues = $Package->($Object, $aNames, $LanguageID);
# example      # never call getAttributes directly!
#               $Value = $Object->get($AttributeName);
#----------------------------------------------------------------------------------------
# description  Returns attribute values of an object.
#               Used by <function DE_EPAGES::Object::API::Object::get>
#----------------------------------------------------------------------------------------
# input        $Object  | object | object
# input        $aNames  | list of attribute names | ref.array
# input        $LanguageID | language id | int
# return       $hValues | attribute name => value hash | ref.hash
#========================================================================================
sub getAttributes {
    my $self = shift;
    my ($Object, $aNames, $LanguageID) = @_;

    my %Values;
    foreach my $Name (@$aNames) {
        if ( ($Name eq 'GoogleSmartShoppingConfigID') ) {
            $Values{$Name} = $Object->existsChild('GoogleSmartShoppingConfig') ?
                    $Object->child('GoogleSmartShoppingConfig')->id : undef;
        }
    }
    return \%Values;
}

1;