#==============================================================================
# package      DE_EPAGES::SagePay::API::Constants
# state        private
#------------------------------------------------------------------------------
# description  Constants for SagePay cartridge.
#==============================================================================
package DE_EPAGES::SagePay::API::Constants;
use base Exporter;

use strict;

our @EXPORT_OK = qw(
    %VSPSERVER_ENDPOINT
    %VSPSIMULATOR_ENDPOINT
    %PARAMETERS_VALIDATION_LENGTH_LIMITS
    SIMULATOR_VENDOR
    PAYMENT_METHOD_LOW_PROFILE
    PAYMENT_METHOD_NORMAL_MODE
);

#========================================================================================
# local     VSPSERVER_ENDPOINT | Defines the end point of a payment service | string
#========================================================================================
our %VSPSERVER_ENDPOINT = (
    'register' => 'vspserver-register.vsp'
);

#========================================================================================
# local     VSPSIMULATOR_ENDPOINT | Defines the simulator end points | string
#========================================================================================
our %VSPSIMULATOR_ENDPOINT = (
    'register' => 'VendorRegisterTx'
);

our %PARAMETERS_VALIDATION_LENGTH_LIMITS = (
    BillingAddress1    => 50,
    BillingAddress2    => 50,
    BillingCity        => 40,
    BillingSurname     => 20,
    BillingFirstnames  => 20,
    DeliveryAddress1   => 50,
    DeliveryAddress2   => 50,
    DeliveryCity       => 40,
    DeliverySurname    => 20,
    DeliveryFirstnames => 20,
    Description        => 100,
);

#========================================================================================
# local        SIMULATOR_VENDOR | vendor name for simulation mode | string
#========================================================================================
use constant SIMULATOR_VENDOR => 'epagestest'; # must be lower case per 4.0 protocol

#========================================================================================
# local        PAYMENT_METHOD_LOW_PROFILE | Payment Form embeded ( iFrame ) | string
# local        PAYMENT_METHOD_NORMAL_MODE | Payment Form in external servers | string
#========================================================================================
use constant PAYMENT_METHOD_LOW_PROFILE => 'LOW' ;
use constant PAYMENT_METHOD_NORMAL_MODE => 'NORMAL' ;

1;
